org.codehaus.plexus.classworlds.strategy

## Class SelfFirstStrategy

- java.lang.Object
- - org.codehaus.plexus.classworlds.strategy.AbstractStrategy
  - - org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy

All Implemented Interfaces:
  Strategy

    public class SelfFirstStrategy
    extends AbstractStrategy

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from class org.codehaus.plexus.classworlds.strategy.AbstractStrategy

`realm`

### Constructor Summary

Constructors
Constructor and Description
`SelfFirstStrategy(ClassRealm realm)`

### Method Summary

Methods
`java.util.Enumeration` `findResources(java.lang.String name)`
`java.net.URL` `getResource(java.lang.String name)`
`java.io.InputStream` `getResourceAsStream(java.lang.String name)`
`java.lang.Class` `loadClass(java.lang.String name)`

### Methods inherited from class org.codehaus.plexus.classworlds.strategy.AbstractStrategy

`getNormalizedResource, getRealm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelfFirstStrategy

    public SelfFirstStrategy(ClassRealm realm)

### Method Detail

#### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    public java.net.URL getResource(java.lang.String name)

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

#### findResources

    public java.util.Enumeration findResources(java.lang.String name)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`